Overview | Modules | Class Hierarchy | Classes | Members

# tlp::StlIterator< VALUE, ITERATOR > Struct Template Reference

`#include <StlIterator.h>`

Inherits tlp::Iterator< VALUE >.

Inheritance diagram for tlp::StlIterator< VALUE, ITERATOR >:

[legend]
Collaboration diagram for tlp::StlIterator< VALUE, ITERATOR >:

[legend]
List of all members.

### template<typename VALUE, typename ITERATOR>
struct tlp::StlIterator< VALUE, ITERATOR >

## Public Member Functions

- StlIterator (const ITERATOR &startIt, const ITERATOR &endIt)
- VALUE next ()
    Return the next element.
- bool hasNext ()
    Return true if it exist a next element.

## Constructor & Destructor Documentation

template<typename VALUE, typename ITERATOR>
tlp::StlIterator< VALUE, ITERATOR >::StlIterator | ( | const ITERATOR & | startIt,
|  | const ITERATOR & | endIt
| ) | `[inline]`

## Member Function Documentation

template<typename VALUE, typename ITERATOR>
bool tlp::StlIterator< VALUE, ITERATOR >::hasNext | ( |  | ) | `[inline, virtual]`

| Return true if it exist a next element. Implements tlp::Iterator< VALUE >.

template<typename VALUE, typename ITERATOR>
VALUE tlp::StlIterator< VALUE, ITERATOR >::next | ( |  | ) | `[inline, virtual]`

| Return the next element. Implements tlp::Iterator< VALUE >.

Tulip Software by LaBRI Visualization Team 2001 - 2010